com.io7m.r2.core.shaders.types

## Class R2ShaderParametersView

- java.lang.Object
- - com.io7m.r2.core.shaders.types.R2ShaderParametersView

- All Implemented Interfaces:
    R2ShaderParametersViewType

      @Generated(value={"Immutables.generator","R2ShaderParametersViewType"})
      public final class R2ShaderParametersView
      extends Object
      implements R2ShaderParametersViewType

  The type of view-related parameters available to shaders.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2ShaderParametersView.Builder` Builds instances of type `R2ShaderParametersView`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2ShaderParametersView.Builder` | `builder()` Creates a builder for `R2ShaderParametersView`.
    `static R2ShaderParametersView` | `copyOf(R2ShaderParametersViewType instance)` Creates an immutable copy of a `R2ShaderParametersViewType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2ShaderParametersView` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `observerMatrices`, `viewport`.
    `R2MatricesObserverValuesType` | `observerMatrices()`
    `static R2ShaderParametersView` | `of(R2MatricesObserverValuesType observerMatrices, com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport)` Construct a new immutable `R2ShaderParametersView` instance.
    `String` | `toString()` Prints the immutable value `R2ShaderParametersView` with attribute values.
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `viewport()` A specification of the viewport to which rendering is occurring.
    `R2ShaderParametersView` | `withObserverMatrices(R2MatricesObserverValuesType value)` Copy the current immutable object by setting a value for the `observerMatrices` attribute.
    `R2ShaderParametersView` | `withViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType value)` Copy the current immutable object by setting a value for the `viewport` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### observerMatrices

          public R2MatricesObserverValuesType observerMatrices()

      Specified by:
        `observerMatrices` in interface `R2ShaderParametersViewType`
      Returns:
        The current observer matrices

    - #### viewport

          public com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport()

      A specification of the viewport to which rendering is occurring.
      Specified by:
        `viewport` in interface `R2ShaderParametersViewType`
      Returns:
        The current viewport

    - #### withObserverMatrices

          public final R2ShaderParametersView withObserverMatrices(R2MatricesObserverValuesType value)

      Copy the current immutable object by setting a value for the `observerMatrices` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for observerMatrices
      Returns:
        A modified copy of the `this` object

    - #### withViewport

          public final R2ShaderParametersView withViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType value)

      Copy the current immutable object by setting a value for the `viewport` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for viewport
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2ShaderParametersView` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `observerMatrices`, `viewport`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2ShaderParametersView` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2ShaderParametersView of(R2MatricesObserverValuesType observerMatrices,
                                                  com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport)

      Construct a new immutable `R2ShaderParametersView` instance.
      Parameters:
        `observerMatrices` - The value for the `observerMatrices` attribute
        `viewport` - The value for the `viewport` attribute
      Returns:
        An immutable R2ShaderParametersView instance

    - #### copyOf

          public static R2ShaderParametersView copyOf(R2ShaderParametersViewType instance)

      Creates an immutable copy of a `R2ShaderParametersViewType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2ShaderParametersView instance

    - #### builder

          public static R2ShaderParametersView.Builder builder()

      Creates a builder for `R2ShaderParametersView`.
      Returns:
        A new R2ShaderParametersView builder

Copyright © 2016 <code@io7m.com> http://io7m.com